Bug 23547 - Add column configuration to course reserves table in the OPAC
Summary: Add column configuration to course reserves table in the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-05 16:00 UTC by Katrin Fischer
Modified: 2020-05-06 07:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23547: Add column configuration to course reserves table in the OPAC (2.95 KB, patch)
2020-02-19 18:31 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23547: Add column configuration to course reserves table in the OPAC (3.00 KB, patch)
2020-02-20 22:24 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 23547: Add column configuration to course reserves table in the OPAC (2.95 KB, patch)
2020-02-23 18:38 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23547: Add column configuration to course reserves table in the OPAC (3.00 KB, patch)
2020-02-27 15:10 UTC, Devinim
Details | Diff | Splinter Review
Bug 23547: Add column configuration to course reserves table in the OPAC (3.06 KB, patch)
2020-02-29 20:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23547: (follow-up) Improve POD for template plugin (3.17 KB, patch)
2020-05-06 07:29 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-09-05 16:00:44 UTC
It would be nice if it was easy to hide columns from the course reserves table in the OPAC (example: hide the Link column because it doesn't contain full text links reliably).
Comment 1 Lucas Gass 2020-02-19 18:31:00 UTC
Created attachment 99268 [details] [review]
Bug 23547: Add column configuration to course reserves table in the OPAC

This patch adds opac-course-reserves to the column config tool
TEST PLAN:
1. Have some course reserves and go look at opac-course-reserves.pl
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > course_reserves_table
5. Try hiding each column and make sure the correct column is hidden on opac-course-reserves.pl
Comment 2 Lisette Scheer 2020-02-20 22:15:55 UTC
This adds column configuration to the opac course_reserves_table.
I think Katrin was asking about the opac course_items_table since that has a link column. 
I think this is also a good addition, so I'm going to SO and open a new bug for the other table.
Comment 3 Lisette Scheer 2020-02-20 22:24:43 UTC
Created attachment 99339 [details] [review]
Bug 23547: Add column configuration to course reserves table in the OPAC

This patch adds opac-course-reserves to the column config tool
TEST PLAN:
1. Have some course reserves and go look at opac-course-reserves.pl
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > course_reserves_table
5. Try hiding each column and make sure the correct column is hidden on opac-course-reserves.pl

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 4 Lucas Gass 2020-02-23 18:38:47 UTC
Created attachment 99471 [details] [review]
Bug 23547: Add column configuration to course reserves table in the OPAC

This patch adds opac-course-reserves to the column config tool
TEST PLAN:
1. Have some course reserves and go look at opac-course-reserves.pl
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > course_reserves_table
5. Try hiding each column and make sure the correct column is hidden on opac-course-reserves.pl
Comment 5 Lucas Gass 2020-02-23 18:40:09 UTC
re-added the dataTables confiuration line to allow for a search bar within the table. reset to needs signoff
Comment 6 Devinim 2020-02-27 15:10:15 UTC
Created attachment 99705 [details] [review]
Bug 23547: Add column configuration to course reserves table in the OPAC

This patch adds opac-course-reserves to the column config tool
TEST PLAN:
1. Have some course reserves and go look at opac-course-reserves.pl
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > course_reserves_table
5. Try hiding each column and make sure the correct column is hidden on opac-course-reserves.pl

It worked as described. Nice work.

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 7 Katrin Fischer 2020-02-29 20:52:29 UTC
Created attachment 99830 [details] [review]
Bug 23547: Add column configuration to course reserves table in the OPAC

This patch adds opac-course-reserves to the column config tool
TEST PLAN:
1. Have some course reserves and go look at opac-course-reserves.pl
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > course_reserves_table
5. Try hiding each column and make sure the correct column is hidden on opac-course-reserves.pl

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2020-03-02 10:43:06 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-03-31 22:47:46 UTC
enhancement not backported to 19.11.x
Comment 10 Martin Renvoize 2020-05-06 07:29:43 UTC
Created attachment 104401 [details] [review]
Bug 23547: (follow-up) Improve POD for template plugin
Comment 11 Martin Renvoize 2020-05-06 07:31:05 UTC
Comment on attachment 104401 [details] [review]
Bug 23547: (follow-up) Improve POD for template plugin

Wrong bug :(